2003-06-25 11:23  emostar

	* doc/daemon.doxygen (1.5), plugins/qt-gui/doc/qt-gui.doxygen
	  (1.5): New version: 1.2.7

2003-06-25 11:07  emostar

	* configure.in (1.62), src/licq.conf.h (1.21),
	  plugins/qt-gui/configure.in (1.68),
	  plugins/auto-reply/configure.in (1.15),
	  plugins/console/configure.in (1.28), plugins/console/src/main.cpp
	  (1.20), plugins/email/configure.in (1.19): New version: 1.2.7

2003-06-25 10:45  emostar

	* admin/acinclude.m4.in (1.20),
	  plugins/auto-reply/admin/acinclude.m4.in (1.20),
	  plugins/console/admin/acinclude.m4.in (1.20),
	  plugins/email/admin/acinclude.m4.in (1.20),
	  plugins/qt-gui/admin/acinclude.m4.in (1.20),
	  plugins/rms/admin/acinclude.m4.in (1.20): Properly remove
	  debugging flag

2003-06-25 00:40  emostar

	* src/icqd-srv.cpp (1.115): Better error message

2003-06-23 11:13  emostar

	* plugins/console/src/: console.cpp (1.84), console.h (1.36),
	  console_menu.cpp (1.35), event_data.h (1.11): Patch from Philip
	  Nelson to send SMS from the console plugin

2003-06-22 22:52  emostar

	* src/: icqd-srv.cpp (1.114), icqpacket.cpp (1.90): Two patches by
	  Juan

2003-06-22 22:34  emostar

	* plugins/qt-gui/po/: hu_HU.po (1.2), hu_HU.ts (1.2): Updated
	  Hungarian translation by Daniel Levai

2003-06-22 19:25  emostar

	* plugins/rms/src/rms.cpp (1.11): New ICQUser::usprintf

2003-06-22 19:19  emostar

	* plugins/auto-reply/src/autoreply.cpp (1.16): New command for
	  ICQUser::usprintf

2003-06-22 18:52  daywalker

	* bin/licq.winconvert2001b (1.1): ICQ2001 converter by Carlos
	  Augusto <carlos@checkforte.com.br>

2003-06-22 18:49  daywalker

	* README.FREEBSD (1.4): updated FREEBSD readme

2003-06-22 17:28  emostar

	* plugins/console/src/: console.cpp (1.83), console.h (1.35),
	  console_print.cpp (1.39), window.h (1.10): Use the new
	  ICQUser::usprintf

2003-06-17 11:26  dreamforce2

	* configure.in (1.61): fix a few errors.  doesn't really change
	  current link-behaviour since this has always only been a fallback
	  (which never worked ;-)

2003-06-17 10:08  emostar

	* include/licq_icq.h (1.39), include/licq_icqd.h (1.57),
	  include/licq_packets.h (1.50), include/licq_socket.h (1.16),
	  include/licq_user.h (1.43), plugins/qt-gui/src/ewidgets.cpp
	  (1.74), plugins/qt-gui/src/filedlg.cpp (1.57),
	  plugins/qt-gui/src/mainwin.cpp (1.289),
	  plugins/qt-gui/src/mmlistview.cpp (1.11),
	  plugins/qt-gui/src/mmsenddlg.cpp (1.15),
	  plugins/qt-gui/src/outputwin.cpp (1.38),
	  plugins/qt-gui/src/searchuserdlg.cpp (1.43),
	  plugins/qt-gui/src/userbox.cpp (1.146),
	  plugins/qt-gui/src/usereventdlg.cpp (1.131),
	  plugins/qt-gui/src/usereventdlg.h (1.55),
	  plugins/qt-gui/src/userinfodlg.cpp (1.70): Hmm, forgot the rest
	  of the patch.  D'oh!

2003-06-16 12:09  emostar

	* src/: file.cpp (1.14), history.cpp (1.19), icqd-chat.cpp (1.24),
	  icqd-filetransfer.cpp (1.21), icqd-srv.cpp (1.113), icqd-tcp.cpp
	  (1.57), icqd-threads.cpp (1.29), icqd.cpp (1.74), icqpacket.cpp
	  (1.89), message.cpp (1.21), onevent.cpp (1.8), sighandler.c
	  (1.5), socket.cpp (1.34), user.cpp (1.75), utility.cpp (1.15):
	  Patches from Dima

2003-06-14 20:57  emostar

	* src/licq.conf.h (1.20): All Users will be the default group when
	  Licq is used initially

2003-06-13 17:08  dreamforce2

	* src/icqd-tcp.cpp (1.56): remove a debug string

2003-06-13 04:15  dreamforce2

	* plugins/qt-gui/: qt-gui.pro (1.6), po/README.translators (1.6),
	  po/hu_HU.po (1.1), po/hu_HU.ts (1.1): added new hungarian
	  translation by Daniel Levai <leva at fbi dot hu>.

2003-06-12 02:45  dreamforce2

	* plugins/qt-gui/: doc/SKINS.HOWTO (1.7),
	  share/qt-gui/skin.basic/basic.skin (1.5),
	  share/qt-gui/skin.basic-ncb/basic-ncb.skin (1.4),
	  share/qt-gui/skin.bheart/bheart.skin (1.4),
	  share/qt-gui/skin.compact/compact.skin (1.4),
	  share/qt-gui/skin.dim/dim.skin (1.6), share/qt-gui/skin.e/e.skin
	  (1.6), share/qt-gui/skin.gradient/gradient.skin (1.4),
	  share/qt-gui/skin.icq/icq.skin (1.4),
	  share/qt-gui/skin.icq-ncb/icq-ncb.skin (1.4),
	  share/qt-gui/skin.pli/pli.skin (1.6),
	  share/qt-gui/skin.shale/shale.skin (1.6),
	  share/qt-gui/skin.thomas/thomas.skin (1.3), src/skin.cpp (1.17),
	  src/skin.h (1.8): - Make colored scrollbars work with all KDE
	  styles (some KDE styles handle scrollbar colors differently) -
	  Updated the SKINS.HOWTO to reflect changes - Use default colors
	  for "basic" and "basic-ncb" skins. Thanks to Boyan Anastasov for
	  the hint :)

2003-06-11 17:57  dreamforce2

	* plugins/qt-gui/src/: mainwin.cpp (1.288), mainwin.h (1.110): With
	  chatmode-messageview enabled, the keys CTRL-P and CTRL-V created
	  a normal widget instead a chatmode one.  use the default function
	  for CTRL-P and CTRL-V instead of callfunction(mnuUserView, uin)
	  to fix it.

2003-06-10 06:16  dreamforce2

	* plugins/qt-gui/src/: ewidgets.cpp (1.73), usereventdlg.cpp
	  (1.130): - initialize clearDelay member to a reasonable value
	  before instantiating an object that uses it (CMessageViewWidget)
	  - when using QT2 clear messages on inactive widgets, too

	  fixes "new messages do not get cleared when using QT2" bug.

2003-06-05 16:16  dreamforce2

	* src/: icqcolor.cpp (1.6), icqd-chat.cpp (1.23), icqd.cpp (1.73):
	  some doxygen updates

2003-06-05 10:48  dreamforce2

	* plugins/qt-gui/po/ru.ts (1.6): updated russian translation by
	  Leonid Kabanov.

2003-06-05 01:13  dreamforce2

	* plugins/qt-gui/po/fi.ts (1.2): updated finnish translation by
	  Tuomas Jaakola

2003-06-04 15:36  emostar

	* plugins/qt-gui/src/ewidgets.cpp (1.69.2.6): Fix the line spacing

2003-06-04 14:53  emostar

	* plugins/qt-gui/src/: ewidgets.cpp (1.69.2.5), mlview3.cpp
	  (1.12.2.1): Fix highlighting

2003-06-04 13:57  emostar

	* plugins/qt-gui/src/ewidgets.cpp (1.69.2.4): Fix the problem of
	  disappearing text

2003-06-02 05:41  dreamforce2

	* plugins/qt-gui/src/: usereventdlg.cpp (1.129), usereventdlg.h
	  (1.54): Fix compiling with QT 3.0.x This finally fixes a bug with
	  QT2, too :-)

2003-06-01 04:45  dreamforce2

	* plugins/qt-gui/src/usereventdlg.cpp (1.128): Make the delay for
	  marking a message as read a bit shorter.

2003-05-30 20:43  daywalker

	* include/licq_log.h (1.9), src/user.cpp (1.74): compiler warning
	  fixes

2003-05-30 20:11  emostar

	* plugins/qt-gui/src/mlview3.cpp (1.14): Remove a printf

2003-05-30 19:52  emostar

	* src/icqpacket.cpp (1.88): Fix a format string vuneralbility

2003-05-30 00:02  dreamforce2

	* plugins/qt-gui/src/filedlg.cpp (1.56): use 0 instead of NULL.
	  read the mail on the list too late.

2003-05-29 23:57  dreamforce2

	* plugins/qt-gui/src/filedlg.cpp (1.55): fix a crash in qt-gui
	  which happened after a successful file transfer.  thanks to juan
	  for the patch.

2003-05-28 10:32  dreamforce2

	* plugins/qt-gui/src/keyrequestdlg.cpp (1.20): little update, use
	  unicode

2003-05-25 09:44  dreamforce2

	* plugins/qt-gui/src/: mainwin.cpp (1.287), mainwin.h (1.109),
	  userbox.cpp (1.145), userbox.h (1.51): - fix bug 720836, sort by
	  alias mixed up online and offline users with non-threaded view.
	  - "save settings" now saves the column and order for sorting,
	  qt-gui restores these settings on startup.

2003-05-25 05:04  dreamforce2

	* plugins/qt-gui/po/sv.ts (1.5): updated swedish translation by
	  Samuel Blomqvist.

2003-05-24 07:26  dreamforce2

	* src/: buffer.cpp (1.19), countrycodes.c (1.7), fifo.cpp (1.11),
	  file.cpp (1.13), hebrev.c (1.6), history.cpp (1.18), icqcolor.cpp
	  (1.5), icqd-chat.cpp (1.22), icqd-filetransfer.cpp (1.20),
	  icqd-srv.cpp (1.112), icqd-tcp.cpp (1.55), icqd-threads.cpp
	  (1.28), icqd-udp.cpp (1.35), icqd.cpp (1.72), icqevent.cpp
	  (1.13), icqpacket.cpp (1.87), languagecodes.c (1.8), licq.cpp
	  (1.73), log.cpp (1.14), main.cpp (1.14), message.cpp (1.20),
	  onevent.cpp (1.7), plugind.cpp (1.4), protoplugind.cpp (1.4),
	  proxy.cpp (1.9), pthread_rdwr.c (1.2), sighandler.c (1.4),
	  support.c (1.10), remoteserver.cpp (1.3), sar.cpp (1.6),
	  socket.cpp (1.33), translate.cpp (1.10), user.cpp (1.73),
	  utility.cpp (1.14): update copyright tag

2003-05-23 19:39  dreamforce2

	* plugins/qt-gui/po/sv.ts (1.4): updated swedish translation by
	  Samuel Blomqvist.

2003-05-23 06:08  dreamforce2

	* src/icqd-srv.cpp (1.111): implement error handler for logon error
	  0x15 and similar.

2003-05-23 04:57  dreamforce2

	* plugins/qt-gui/po/ru.ts (1.5): updated russian translation by
	  Leonid Kabanov

2003-05-22 16:49  dreamforce2

	* LICENSE (1.1), src/buffer.cpp (1.18), src/fifo.cpp (1.10),
	  src/file.cpp (1.12), src/history.cpp (1.17), src/icqcolor.cpp
	  (1.4), src/icqd-chat.cpp (1.21), src/icqd-filetransfer.cpp
	  (1.19), src/icqd-srv.cpp (1.110), src/icqd-tcp.cpp (1.54),
	  src/icqd-threads.cpp (1.27), src/icqd.cpp (1.71),
	  src/icqd-udp.cpp (1.34), src/icqevent.cpp (1.12),
	  src/icqpacket.cpp (1.86), src/licq.cpp (1.72), src/log.cpp
	  (1.13), src/main.cpp (1.13), src/message.cpp (1.19),
	  src/onevent.cpp (1.6), src/plugind.cpp (1.3),
	  src/protoplugind.cpp (1.3), src/proxy.cpp (1.8),
	  src/remoteserver.cpp (1.2), src/sar.cpp (1.5), src/socket.cpp
	  (1.32), src/translate.cpp (1.9), src/user.cpp (1.72),
	  src/utility.cpp (1.13): Lets address the licensing problem with
	  OpenSSL.  1. Adding the file "LICENSE" to the repository which
	  contains our Licq license with an exception for OpenSSL.  2.
	  Prepends a short license statement to every souce file in the
	  daemon.

2003-05-21 14:46  dreamforce2

	* src/fifo.cpp (1.9): - Some documentation and readability updates
	  by Juan.

2003-05-21 02:47  dreamforce2

	* plugins/qt-gui/src/usereventdlg.cpp (1.127): forgot to check for
	  QT2.	when will we finally get rid of this? ;-)

2003-05-21 02:38  dreamforce2

	* plugins/qt-gui/src/usereventdlg.cpp (1.126): fix annoying
	  side-effect of recent crash fix for mass-messages.  after
	  toggling "multiple recipients" the send-window got resized after
	  each sent msg.

2003-05-20 07:08  dreamforce2

	* plugins/qt-gui/src/usereventdlg.cpp (1.125): fixes bug 736954,
	  "Multiple recipients message crash".

2003-05-19 09:04  dreamforce2

	* src/history.cpp (1.16): some doxygen compatible documentation

2003-05-18 17:07  dreamforce2

	* src/: file.cpp (1.11), history.cpp (1.15), icqd-filetransfer.cpp
	  (1.18), icqd.cpp (1.70), licq.cpp (1.71), log.cpp (1.12), sar.cpp
	  (1.4): create new files with 00600 permissions for privacy
	  reasons.

2003-05-18 15:42  dreamforce2

	* src/file.cpp (1.10): doxygen compatible documentation updates

2003-05-18 12:33  dreamforce2

	* plugins/qt-gui/src/: ewidgets.cpp (1.72), usereventdlg.cpp
	  (1.124), usereventdlg.h (1.53): Fixes a bug that prevents
	  messages from beeing seen in the message window but only in
	  history.  Patch by Tuomas Jaakola, slightly revised to fix
	  compiling with QT2.

2003-05-18 10:43  dreamforce2

	* plugins/qt-gui/src/mainwin.cpp (1.286): make dragging the
	  mainwindow with the mouse work again.

2003-05-17 18:02  dreamforce2

	* src/fifo.cpp (1.8): - Fix many typos and inconsistency - Add
	  readability by reformatting large parts to match our coding style
	  rules

2003-05-17 17:57  dreamforce2

	* src/buffer.cpp (1.17): - making some documentation doxygen
	  compatible.

2003-05-17 15:35  dreamforce2

	* plugins/qt-gui/: INSTALL (1.6), doc/ICONS.HOWTO (1.4),
	  doc/SKINS.HOWTO (1.6): - replacing some tabs with whitespaces.  -
	  some minor updates to the documentation.

2003-05-17 15:13  dreamforce2

	* doc/: HINTS (1.4), PLUGINS.HOWTO (1.2), README.CodingStyle (1.2),
	  README.FIFO (1.4): replacing some tabs with whitespaces.

2003-05-16 17:00  dreamforce2

	* plugins/qt-gui/src/usereventdlg.cpp (1.123): some code
	  readability cleanups.

2003-05-15 16:24  dreamforce2

	* src/file.cpp (1.9): fix bug 725470.  prevent owner.uin from
	  beeing world readable.

2003-05-12 14:04  emostar

	* plugins/qt-gui/src/ewidgets.cpp (1.69.2.3): This probably
	  introduces a bug, but at least we can read AIM users' messages
	  without the HTML being shown.  To be fixed properly...

2003-05-08 01:47  dreamforce2

	* plugins/qt-gui/po/pt_BR.po (1.3): translation update by Gustavo
	  Pichorim Boiko

2003-05-07 12:15  emostar

	* src/icqd-srv.cpp (1.108.2.7): Save our events we send in the
	  history

2003-05-07 12:01  emostar

	* plugins/qt-gui/src/sigman.cpp (1.23.2.3): Fix

2003-05-06 21:22  emostar

	* plugins/qt-gui/src/mainwin.cpp (1.278.2.5): Don't ask to register
	  a new user if we have an aim username in the config file

2003-05-06 21:16  emostar

	* src/icqd-srv.cpp (1.108.2.6): Licq can now log in as an AIM
	  client.  Just edit the owner.Licq file and put your AIM user name
	  as the UIN and change the login server to login.oscar.aol.com

2003-05-06 20:46  emostar

	* src/message.cpp (1.18.2.2), plugins/qt-gui/src/usereventdlg.cpp
	  (1.115.2.7): Ability to add users from a contact list message.
	  This includes sending AIM users and adding AIM users.

2003-05-05 22:43  emostar

	* plugins/qt-gui/src/: mmlistview.cpp (1.8.2.3), mmsenddlg.cpp
	  (1.12.2.3), mmsenddlg.h (1.5.2.3), userbox.cpp (1.141.2.6),
	  usereventdlg.cpp (1.115.2.6), usereventdlg.h (1.49.2.3): Plugin
	  support for sending contacts as a string

2003-05-05 22:42  emostar

	* include/licq_icqd.h (1.54.2.5), src/icqd-tcp.cpp (1.53.2.3):
	  Sending contacts as a string (so you can send aim users to other
	  icq users)

2003-05-03 10:12  dreamforce2

	* src/licq.conf.h (1.19): enable server side list by default

2003-05-03 09:59  dreamforce2

	* plugins/qt-gui/po/: de.po (1.22), de.ts (1.9): updated german
	  translation

2003-05-03 09:46  dreamforce2

	* plugins/qt-gui/src/userinfodlg.cpp (1.69): little improvement for
	  translation. make the difference between "send" and "retrieve"
	  more clearly.

2003-05-02 21:29  emostar

	* plugins/qt-gui/src/userbox.cpp (1.141.2.5): With AIM you can be
	  online and idle, so show the idle times of online aim users.

2003-05-02 20:51  emostar

	* plugins/qt-gui/src/: mainwin.cpp (1.278.2.4), usereventdlg.cpp
	  (1.115.2.5): Get tabbed chatting to work.  Hopefully I got all
	  the spots that needed the code for protocol plugin support..

2003-05-02 19:38  emostar

	* plugins/qt-gui/src/: userbox.cpp (1.141.2.4), usereventdlg.cpp
	  (1.115.2.4): Fix online blinking and start some work on getting
	  tabbed chatting to work

2003-05-02 19:14  emostar

	* plugins/qt-gui/src/: filedlg.cpp (1.53.2.3), reqauthdlg.cpp
	  (1.3.2.3), userbox.cpp (1.141.2.3), userbox.h (1.48.2.3),
	  usercodec.cpp (1.14.2.3), usercodec.h (1.7.2.3): Removing
	  unnecessary code

2003-05-02 19:10  emostar

	* src/icqd-chat.cpp (1.20.2.1), include/licq_chat.h (1.11.2.1):
	  Chat support for protocol plugin kind of.  It needs work, this
	  just gives the GP a string for the user id instead and ppid.

2003-05-02 14:26  dreamforce2

	* include/licq_user.h (1.42), plugins/qt-gui/src/userinfodlg.cpp
	  (1.68), plugins/qt-gui/src/userinfodlg.h (1.22), src/icqd-srv.cpp
	  (1.109), src/user.cpp (1.71): - adds a new option to the daemon
	  and qt-gui to keep the alias when updating user details.  useful
	  when someone edits a contacts alias and presses "update" or
	  "update all users".  this will only prevent the alias from beeing
	  updated. all other info updates as usual with this option turned
	  on.  Thanks to Thiago Ribeiro for the idea :)

2003-05-02 08:55  dreamforce2

	* plugins/qt-gui/doc/SKINS.HOWTO (1.5): little update

2003-05-02 08:47  dreamforce2

	* plugins/qt-gui/src/mainwin.cpp (1.285): a little fix to improve
	  skins.  calls hide() for gui-widgets that would normally appear
	  1x1 pixels large. this prevents the main window from having some
	  1-pixel dots.

2003-05-01 20:13  emostar

	* plugins/qt-gui/src/mainwin.cpp (1.278.2.3): Use the new remove
	  user function and fix a crash

2003-05-01 20:13  emostar

	* include/licq_icqd.h (1.54.2.4), src/icqd-srv.cpp (1.108.2.5),
	  src/icqd.cpp (1.69.2.3): Removing user support

2003-05-01 19:20  emostar

	* upgrade/upgrade-1.3.0.sh (1.1): And here it is

2003-05-01 19:19  emostar

	* upgrade/upgrade-1.2.7.sh (1.3): I have a better idea with this..

2003-05-01 19:17  emostar

	* src/icqd-srv.cpp (1.108.2.4): Support adding AIM contacts on the
	  server to the local list

2003-05-01 19:16  emostar

	* src/user.cpp (1.70.2.4): For new trim the owner id string when
	  loading.  This works for icq protocol and probably not many other
	  protocols.

2003-05-01 19:06  emostar

	* src/user.cpp (1.70.2.3): Now everyone can use this.  Load the
	  owner from owner.Licq

2003-05-01 07:50  dreamforce2

	* plugins/qt-gui/po/pt_BR.ts (1.3): - add pt_BR.ts file (created
	  with msg2qm out of pt_BR.po)

2003-05-01 00:20  emostar

	* src/icqpacket.cpp (1.85.2.4), include/licq_icqd.h (1.54.2.3),
	  include/licq_packets.h (1.49.2.3), include/licq_user.h
	  (1.39.2.3): Cleanup unused function Include files for previous
	  commit

2003-05-01 00:14  emostar

	* src/: icqd-srv.cpp (1.108.2.3), icqpacket.cpp (1.85.2.3):
	  Exporting AIM users to the server side list works

2003-04-30 20:55  emostar

	* plugins/qt-gui/src/: adduserdlg.cpp (1.19.2.2), authuserdlg.cpp
	  (1.24.2.2), authuserdlg.h (1.8.2.2), awaymsgdlg.cpp (1.51.2.2),
	  awaymsgdlg.h (1.23.2.2), chatdlg.cpp (1.76.2.2), chatdlg.h
	  (1.29.2.2), ewidgets.cpp (1.69.2.2), ewidgets.h (1.27.2.2),
	  filedlg.cpp (1.53.2.2), filedlg.h (1.13.2.2), forwarddlg.cpp
	  (1.12.2.2), forwarddlg.h (1.4.2.2), keyrequestdlg.cpp (1.18.2.2),
	  keyrequestdlg.h (1.7.2.2), mainwin.cpp (1.278.2.2), mainwin.h
	  (1.103.2.2), mmlistview.cpp (1.8.2.2), mmlistview.h (1.3.2.2),
	  mmsenddlg.cpp (1.12.2.2), mmsenddlg.h (1.5.2.2), refusedlg.cpp
	  (1.6.2.2), refusedlg.h (1.3.2.2), reqauthdlg.cpp (1.3.2.2),
	  reqauthdlg.h (1.3.2.2), showawaymsgdlg.cpp (1.41.2.2),
	  showawaymsgdlg.h (1.9.2.2), sigman.cpp (1.23.2.2), sigman.h
	  (1.6.2.2), userbox.cpp (1.141.2.2), userbox.h (1.48.2.2),
	  usercodec.cpp (1.14.2.2), usercodec.h (1.7.2.2), usereventdlg.cpp
	  (1.115.2.3), usereventdlg.h (1.49.2.2), userinfodlg.cpp
	  (1.65.2.2), userinfodlg.h (1.19.2.2), utilitydlg.cpp (1.24.2.2),
	  utilitydlg.h (1.12.2.2): Remove all the QT_PROTOCOL_PLUGIN and
	  PROTOCOL_PLUGIN

2003-04-30 20:02  emostar

	* plugins/qt-gui/src/usereventdlg.cpp (1.115.2.2): Fixes

2003-04-30 19:59  emostar

	* include/: licq_events.h (1.23.2.1), licq_history.h (1.3.2.1),
	  licq_icqd.h (1.54.2.2), licq_message.h (1.13.2.1), licq_packets.h
	  (1.49.2.2), licq_socket.h (1.15.2.1), licq_user.h (1.39.2.2),
	  licq_utility.h (1.5.2.1): Remove PROTOCOL_PLUGIN definition.
	  Doesn't work for anybody (CVS HEAD still does though)

2003-04-30 19:58  emostar

	* src/: history.cpp (1.14.2.1), icqd-srv.cpp (1.108.2.2),
	  icqd-tcp.cpp (1.53.2.2), icqd.cpp (1.69.2.2), icqevent.cpp
	  (1.11.2.1), icqpacket.cpp (1.85.2.2), licq.cpp (1.70.2.1), licq.h
	  (1.11.2.1), message.cpp (1.18.2.1), socket.cpp (1.31.2.1),
	  user.cpp (1.70.2.2), utility.cpp (1.12.2.1): Updated to get rid
	  of the PROTOCOL_PLUGIN definition.  This means that this branch
	  is unusable at the moment.

2003-04-30 09:04  dreamforce2

	* plugins/qt-gui/src/usereventdlg.cpp (1.122): - patch by Dima to
	  fix a side effect of his last patch.	Due to reparenting the
	  widget it did not get deleted after a close() request.

2003-04-30 00:40  emostar

	* plugins/qt-gui/src/: adduserdlg.cpp (1.19.2.1), authuserdlg.cpp
	  (1.24.2.1), authuserdlg.h (1.8.2.1), awaymsgdlg.cpp (1.51.2.1),
	  awaymsgdlg.h (1.23.2.1), chatdlg.cpp (1.76.2.1), chatdlg.h
	  (1.29.2.1), ewidgets.cpp (1.69.2.1), ewidgets.h (1.27.2.1),
	  filedlg.cpp (1.53.2.1), filedlg.h (1.13.2.1), forwarddlg.cpp
	  (1.12.2.1), forwarddlg.h (1.4.2.1), keyrequestdlg.cpp (1.18.2.1),
	  keyrequestdlg.h (1.7.2.1), mainwin.cpp (1.278.2.1), mainwin.h
	  (1.103.2.1), mmlistview.cpp (1.8.2.1), mmlistview.h (1.3.2.1),
	  mmsenddlg.cpp (1.12.2.1), mmsenddlg.h (1.5.2.1), refusedlg.cpp
	  (1.6.2.1), refusedlg.h (1.3.2.1), reqauthdlg.cpp (1.3.2.1),
	  reqauthdlg.h (1.3.2.1), showawaymsgdlg.cpp (1.41.2.1),
	  showawaymsgdlg.h (1.9.2.1), sigman.cpp (1.23.2.1), sigman.h
	  (1.6.2.1), userbox.cpp (1.141.2.1), userbox.h (1.48.2.1),
	  usercodec.cpp (1.14.2.1), usercodec.h (1.7.2.1), usereventdlg.cpp
	  (1.115.2.1), usereventdlg.h (1.49.2.1), userinfodlg.cpp
	  (1.65.2.1), userinfodlg.h (1.19.2.1), utilitydlg.cpp (1.24.2.1),
	  utilitydlg.h (1.12.2.1): Get the right revisions in here.

2003-04-29 14:02  emostar

	* src/Makefile.am (1.17.2.1), src/buffer.cpp (1.16.2.1),
	  src/icqd-srv.cpp (1.108.2.1), src/icqd-tcp.cpp (1.53.2.1),
	  src/icqd.cpp (1.69.2.1), src/icqpacket.cpp (1.85.2.1),
	  src/user.cpp (1.70.2.1), include/licq_buffer.h (1.8.2.1),
	  include/licq_icqd.h (1.54.2.1), include/licq_packets.h
	  (1.49.2.1), include/licq_user.h (1.39.2.1): Commit some new work,
	  now supports adding and communicating with AIM users.

2003-04-29 13:41  emostar

	* src/icqd-srv.cpp (1.108): No more users wandering groups if they
	  are on invisible/visible/ignore list

2003-04-27 15:48  dreamforce2

	* plugins/qt-gui/src/: mainwin.cpp (1.284), usereventdlg.cpp
	  (1.121): - fixes a issue with tabbed chatting: "when
	  doubleclicking on a contact list user which has a non-active tab,
	  it created a funny new dialog" - replaces some tabs with spaces,
	  makes code in mainwin better readable

2003-04-27 11:44  dreamforce2

	* plugins/qt-gui/src/: mainwin.cpp (1.283), mainwin.h (1.108),
	  usereventdlg.cpp (1.120), usereventdlg.h (1.52): - fixes
	  compilation with QT2 (moc doesn't care about preprocessor macros)
	  - fixes a crash with tabbed chatting (patch by dima k)

2003-04-25 12:29  dreamforce2

	* plugins/qt-gui/src/authuserdlg.cpp (1.28): oops. better use
	  unsigned long for the uin.

2003-04-25 09:53  dreamforce2

	* plugins/qt-gui/src/authuserdlg.cpp (1.27): fix a crash when
	  sending authorisation via the RMB-menu of a user.

2003-04-20 11:22  emostar

	* plugins/qt-gui/src/mainwin.h (1.107): MOC doesn't care about
	  conditional compiling

2003-04-19 20:20  emostar

	* plugins/qt-gui/src/mainwin.h (1.106): Fix

2003-04-18 21:39  emostar

	* include/licq_icqd.h (1.56), include/licq_user.h (1.41),
	  include/licq_utility.h (1.6), src/icqd-tcp.cpp (1.53),
	  src/icqd.cpp (1.69), src/user.cpp (1.70), src/utility.cpp (1.12):
	  More protocol plugin related additions/fixes.

2003-04-18 20:44  emostar

	* plugins/qt-gui/src/: authuserdlg.cpp (1.26), authuserdlg.h
	  (1.10), ewidgets.cpp (1.71), ewidgets.h (1.29), mainwin.cpp
	  (1.282), mainwin.h (1.105), mmlistview.cpp (1.10), mmsenddlg.cpp
	  (1.14), showawaymsgdlg.cpp (1.43), userbox.cpp (1.144), userbox.h
	  (1.50), usercodec.cpp (1.16), usereventdlg.cpp (1.119),
	  usereventdlg.h (1.51), userinfodlg.cpp (1.67), userinfodlg.h
	  (1.21), utilitydlg.cpp (1.26): Compiles and starts up, but still
	  not very usable.

2003-04-18 17:07  emostar

	* plugins/qt-gui/src/: plugindlg.cpp (1.11), userbox.cpp (1.143):
	  Few fixes

2003-04-17 20:36  emostar

	* plugins/qt-gui/src/usereventdlg.cpp (1.118): Unlock the user
	  please.  Fixes the problem with the latest CVS and sending
	  events.

2003-04-17 20:15  emostar

	* plugins/qt-gui/src/usereventdlg.cpp (1.117): Fix a few typos

2003-04-17 19:49  emostar

	* src/user.cpp (1.69): Missed a break.

2003-04-17 17:45  emostar

	* upgrade/upgrade-1.2.7.sh (1.2): Fix it

2003-04-17 09:01  ikonst

	* plugins/qt-gui/src/: chatdlg.cpp (1.78), licqgui.cpp (1.56),
	  mainwin.cpp (1.281):

	  On Qt 3, GUI styles can come as plugins. Debian took it a step
	  further and removed the legacy qxxxstyle.h headers from
	  libqt3-headers.  This fix avoids including those headers on Qt
	  3.0 and higher -- we use QStyleFactory in this case anyway.

2003-04-16 19:12  emostar

	* plugins/qt-gui/src/mainwin.cpp (1.280): Save window geometry if
	  the main window is resized and not moved.

2003-04-16 14:03  emostar

	* plugins/qt-gui/src/: adduserdlg.cpp (1.20), authuserdlg.cpp
	  (1.25), authuserdlg.h (1.9), awaymsgdlg.cpp (1.52), awaymsgdlg.h
	  (1.24), chatdlg.cpp (1.77), chatdlg.h (1.30), ewidgets.cpp
	  (1.70), ewidgets.h (1.28), filedlg.cpp (1.54), filedlg.h (1.14),
	  forwarddlg.cpp (1.13), forwarddlg.h (1.5), keyrequestdlg.cpp
	  (1.19), keyrequestdlg.h (1.8), mainwin.cpp (1.279), mainwin.h
	  (1.104), mlview3.cpp (1.13), mmlistview.cpp (1.9), mmlistview.h
	  (1.4), mmsenddlg.cpp (1.13), mmsenddlg.h (1.6), optionsdlg.cpp
	  (1.136), plugindlg.cpp (1.10), randomchatdlg.cpp (1.11),
	  refusedlg.cpp (1.7), refusedlg.h (1.4), registeruser.h (1.9),
	  reqauthdlg.cpp (1.4), reqauthdlg.h (1.4), searchuserdlg.h (1.24),
	  securitydlg.h (1.8), showawaymsgdlg.cpp (1.42), showawaymsgdlg.h
	  (1.10), sigman.cpp (1.24), sigman.h (1.7), userbox.cpp (1.142),
	  userbox.h (1.49), usercodec.cpp (1.15), usercodec.h (1.8),
	  usereventdlg.cpp (1.116), usereventdlg.h (1.50), userinfodlg.cpp
	  (1.66), userinfodlg.h (1.20), userselectdlg.h (1.3),
	  utilitydlg.cpp (1.25), utilitydlg.h (1.13), wharf.cpp (1.45):
	  Save some work, isn't compiled in yet.

2003-04-16 11:44  dreamforce2

	* plugins/qt-gui/src/optionsdlg.cpp (1.135): fixes logic of tabbed
	  chatting option when the dialog is created.  means: only enable
	  the checkbox when chatview is checked, too.

2003-04-16 00:06  emostar

	* upgrade/upgrade-1.2.7.sh (1.1): Add upgrade script in preparation
	  of new file formats

2003-04-15 23:53  emostar

	* src/icqd-srv.cpp (1.107): Fix

2003-04-14 21:12  emostar

	* plugins/qt-gui/src/: ewidgets.cpp (1.69), ewidgets.h (1.27),
	  mainwin.cpp (1.278), mainwin.h (1.103), optionsdlg.cpp (1.134),
	  optionsdlg.h (1.63), usereventdlg.cpp (1.115), usereventdlg.h
	  (1.49): Patch by Tuomas Jaakola <tuomas.jaakola@iki.fi> for
	  tabbed chatting.

2003-04-12 13:38  dreamforce2

	* doc/README (1.13): version update.  also updated this file and
	  some other version strings on the homepage.

2003-04-11 00:10  emostar

	* plugins/qt-gui/po/: sr.ts (1.3), README.translators (1.5):
	  Updated translation.

	  Thomas, can you make the .ts into the .po?  I haven't got the
	  tools setup on my new computer, so I can't do it now.

2003-04-11 00:05  emostar

	* plugins/qt-gui/po/: pt_BR.po (1.2), pt_BR.ts (1.2): Updated
	  translation.

2003-04-08 07:08  dreamforce2

	* plugins/qt-gui/src/mainwin.cpp (1.277): very little fix. QT 3.0.7
	  does not have activatedAmbiguously(int).

2003-04-08 03:28  dreamforce2

	* plugins/qt-gui/src/userbox.cpp (1.141): fix Drag'n'drop in the
	  userbox with QT >= 3.0.7

2003-04-08 03:24  dreamforce2

	* plugins/qt-gui/src/: mainwin.cpp (1.276), usereventdlg.cpp
	  (1.114), usereventdlg.h (1.48): fix a crash when drag'n'dropping
	  onto a user who already has a send-dialog open in chatmode view.
	  Patch by Dima K.

2003-04-08 01:54  emostar

	* src/Makefile.am (1.17), src/icqd-srv.cpp (1.106),
	  src/icqd-tcp.cpp (1.52), src/icqd.cpp (1.68), src/icqevent.cpp
	  (1.11), src/licq.cpp (1.70), src/message.cpp (1.18),
	  src/protoplugind.cpp (1.2), src/socket.cpp (1.31), src/user.cpp
	  (1.68), include/licq_events.h (1.24), include/licq_icqd.h (1.55),
	  include/licq_user.h (1.40): More protocol plugin support.  Ready
	  for a proof of concept plugin actually.  Just needs GUI hooks.

2003-04-08 00:49  emostar

	* src/protoplugind.cpp (1.1): Add corresponding .cpp file for
	  CProtoPlugin

2003-04-08 00:48  emostar

	* include/: licq_protoplugin.h (1.1), licq_protoplugind.h (1.1):
	  Add the protocol plugin interface and class.

2003-04-05 08:58  emostar

	* plugins/qt-gui/qt-gui.pro (1.5): Added new translation

2003-04-05 08:56  emostar

	* plugins/qt-gui/po/README.translators (1.4): Added new translator.
	  Removed last update lines.  Use cvs log for that.

2003-04-05 08:53  emostar

	* plugins/qt-gui/po/: pt_BR.po (1.1), pt_BR.ts (1.1): Added
	  Brazilian Portuguese translation by Gustavo Pichorim Boiko

2003-03-30 04:04  dreamforce2

	* plugins/qt-gui/src/securitydlg.cpp (1.17): fix a crash with QT2,
	  see bug 711515.  -> don't set caption on a dialog that is
	  closing.

2003-03-29 06:50  dreamforce2

	* plugins/email/src/: forwarder.conf.h (1.1), forwarder.cpp (1.13),
	  forwarder.h (1.4): let the forwarder plugin create a default
	  configuration file if none exists.  when no configuration file
	  was available, licq simply died and unloaded all other plugins
	  without notice when trying to load the forwarder plugin. (damn, i
	  was wondering why my qt-gui always closed when loading the
	  forwarder).

2003-03-25 23:35  emostar

	* include/: licq_events.h (1.23), licq_history.h (1.3), licq_icqd.h
	  (1.54), licq_message.h (1.13), licq_socket.h (1.15), licq_user.h
	  (1.39): Corresponding header files

2003-03-25 23:34  emostar

	* src/: history.cpp (1.14), icqd.cpp (1.67), icqevent.cpp (1.10),
	  licq.cpp (1.69), licq.h (1.11), message.cpp (1.17), socket.cpp
	  (1.30), user.cpp (1.67): Add some support for protocol plugins,
	  it isn't done yet and it isn't compiled i n.. and if you do try
	  to compile it in, licq won't work.  This is just to save m y work
	  in case of computer failure.

2003-03-25 12:31  dreamforce2

	* doc/daemon.doxygen (1.4), plugins/qt-gui/doc/qt-gui.doxygen
	  (1.4): version update and little fix to the daemons doxygen
	  configfile

2003-03-24 09:33  dreamforce2

	* plugins/qt-gui/: doc/SKINS.HOWTO (1.4),
	  share/qt-gui/skin.basic/basic.skin (1.4),
	  share/qt-gui/skin.basic-ncb/basic-ncb.skin (1.3),
	  share/qt-gui/skin.bheart/bheart.skin (1.3),
	  share/qt-gui/skin.compact/compact.skin (1.3),
	  share/qt-gui/skin.dim/dim.skin (1.5), share/qt-gui/skin.e/e.skin
	  (1.5), share/qt-gui/skin.gradient/gradient.skin (1.3),
	  share/qt-gui/skin.icq/icq.skin (1.3),
	  share/qt-gui/skin.icq-ncb/icq-ncb.skin (1.3),
	  share/qt-gui/skin.pli/pli.skin (1.5),
	  share/qt-gui/skin.shale/shale.skin (1.5),
	  share/qt-gui/skin.thomas/thomas.skin (1.2), src/mainwin.cpp
	  (1.275), src/skin.cpp (1.16), src/skin.h (1.7),
	  src/skinbrowser.cpp (1.23): initial support for color-themed
	  scrollbars to make skins more eye-candy :) updated skins that are
	  shipped with licq.  updated SKINS.HOWTO to reflect changes.
	  older skins should work without problems.

	  other skins should update to include these new parameters:

	  colors.scrollbarFg = #color colors.scrollbarBg = #color
	  colors.btnTxt = #color

